Linked proxy armature object properties can't be edited
Closed, ResolvedPublic


Create one bone aramture, add to group, in "Properteis" widow -> "Object Data" tab, add one custom property, save.
New file, link group from first file, add group instance, make armature proxy (ctrl+p), in "Properteis" widow -> "Object Data" tab - custom properties values can't be changed. New properties can be added - but also with value not editable. Properties can be changed by edit button.
Think properties values must be editable.

blender 2.61, linux x64, nvidia.

Andrey Dubravin (daa) set Type to Bug.Via Old WorldJan 22 2012, 9:19 AM
Ton Roosendaal (ton) added a comment.Via Old WorldNov 4 2012, 2:00 PM

Moving it to my list :)

Ton Roosendaal (ton) added a comment.Via Old WorldNov 6 2012, 8:03 PM

Andrey: you cannot add custom properties to the Object Data - that is still from the library,
A proxy means that only the object (and the pose is there too) is local for editing.

The button should be greyed out though. This is deep in python code...

Campbell: it's in the class WM_OT_properties_add(Operator): (
Needs a check for library data.

fixed r54027.

Campbell Barton (campbellbarton) closed this task as "Resolved".Via Old WorldJan 23 2013, 7:10 AM

Add Comment